org.jfree.text

## Interface TextMeasurer

- All Known Implementing Classes:
    G2TextMeasurer

      public interface TextMeasurer

  An object that can measure text.
  Author:
    David Gilbert

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getStringWidth(java.lang.String text, int start, int end)` Calculates the width of a `String` in the current `Graphics` context.

- - ### Method Detail

    - #### getStringWidth

          float getStringWidth(java.lang.String text,
                             int start,
                             int end)

      Calculates the width of a `String` in the current `Graphics` context.
      Parameters:
        `text` - the text.
        `start` - the start position of the substring to be measured.
        `end` - the position of the last character to be measured.
      Returns:
        The width of the string in Java2D units.